## org.eclipse.emf.ecoretools.diagram.edit.parts
Class EClassESuperTypesEditPart.SolidLineWDstClosedArrow

    java.lang.Object
      org.eclipse.draw2d.Figure
          org.eclipse.draw2d.Shape
              org.eclipse.draw2d.Polyline
                  org.eclipse.draw2d.PolylineConnection
                      org.eclipse.gmf.runtime.draw2d.ui.figures.PolylineConnectionEx
                          org.eclipse.emf.ecoretools.diagram.edit.parts.EClassESuperTypesEditPart.SolidLineWDstClosedArrow

All Implemented Interfaces:
  org.eclipse.draw2d.AnchorListener, org.eclipse.draw2d.Connection, org.eclipse.draw2d.IFigure, org.eclipse.gmf.runtime.draw2d.ui.figures.IAnchorableFigure, org.eclipse.gmf.runtime.draw2d.ui.figures.IPolygonAnchorableFigure

Enclosing class:
  EClassESuperTypesEditPart

    public class EClassESuperTypesEditPart.SolidLineWDstClosedArrow

extends org.eclipse.gmf.runtime.draw2d.ui.figures.PolylineConnectionEx

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.gmf.runtime.draw2d.ui.figures.PolylineConnectionEx
`org.eclipse.gmf.runtime.draw2d.ui.figures.PolylineConnectionEx.JumpLink, org.eclipse.gmf.runtime.draw2d.ui.figures.PolylineConnectionEx.JumpLinkSet`

Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure
`org.eclipse.draw2d.Figure.FigureIterator, org.eclipse.draw2d.Figure.IdentitySearch`

Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure
`org.eclipse.draw2d.IFigure.NoInsets`

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.draw2d.ui.figures.PolylineConnectionEx
`JUMPLINK_FLAG_ABOVE, JUMPLINK_FLAG_ALL, JUMPLINK_FLAG_BELOW, SMOOTH_LESS, SMOOTH_MORE, SMOOTH_NONE, SMOOTH_NORMAL`

Fields inherited from class org.eclipse.draw2d.Shape
`lineStyle, lineWidth`

Fields inherited from class org.eclipse.draw2d.Figure
`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

Fields inherited from interface org.eclipse.draw2d.Connection
`PROPERTY_CONNECTION_ROUTER, PROPERTY_POINTS`

Fields inherited from interface org.eclipse.draw2d.IFigure
`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

Constructor Summary
`EClassESuperTypesEditPart.SolidLineWDstClosedArrow()`

Method Summary

Methods inherited from class org.eclipse.gmf.runtime.draw2d.ui.figures.PolylineConnectionEx

`addPoint, containsPoint, createAnchor, createConnectionAnchor, createDefaultAnchor, dirtyAllJumpLinks, findLineSegIndexOfPoint, getBounds, getConnectionAnchor, getConnectionAnchors, getConnectionAnchorTerminal, getCursor, getPolygonPoints, getSimpleBounds, getSlidableAnchorArea, getSmoothness, getSmoothPoints, getSourceConnectionAnchorAt, getSourceDecoration, getTargetConnectionAnchorAt, getTargetDecoration, insertPoint, isAvoidObstacleRouting, isClosestDistanceRouting, isDefaultAnchorArea, isJumpLinksAngledIn, isJumpLinksOnBottom, isJumpLinksSmooth, outlineShape, paintFigure, refreshLine, setForegroundColor, setJumpLinks, setJumpLinksStyles, setLineDash, setLineWidth, setPoints, setRoutingStyles, setSmoothness, setSourceDecoration, setSourceDecoration, setTargetDecoration, setTargetDecoration, shouldJumpLinks`

Methods inherited from class org.eclipse.draw2d.PolylineConnection
`addNotify, addRoutingListener, anchorMoved, getConnectionRouter, getRoutingConstraint, getSourceAnchor, getTargetAnchor, layout, removeNotify, removeRoutingListener, revalidate, setConnectionRouter, setRoutingConstraint, setSourceAnchor, setTargetAnchor`

Methods inherited from class org.eclipse.draw2d.Polyline
`fillShape, getEnd, getPoints, getStart, isOpaque, primTranslate, removeAllPoints, removePoint, setEnd, setEndpoints, setPoint, setStart, setTolerance`

Methods inherited from class org.eclipse.draw2d.Shape
`getLineStyle, getLineWidth, setFill, setFillXOR, setLineStyle, setOutline, setOutlineXOR, setXOR`

Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getChildren, getClientArea, getClientArea, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, paint, paintBorder, paintChildren, paintClientArea, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useLocalCoordinates, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.draw2d.Connection
`getPoints`

Methods inherited from interface org.eclipse.draw2d.IFigure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, containsPoint, erase, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, getBackgroundColor, getBorder, getChildren, getClientArea, getClientArea, getFont, getForegroundColor, getInsets, getLayoutManager, getLocalBackgroundColor, getLocalForegroundColor, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isOpaque, isRequestFocusEnabled, isShowing, isVisible, paint, remove, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, setBackgroundColor, setBorder, setBounds, setConstraint, setCursor, setEnabled, setFocusTraversable, setFont, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, validate`

Constructor Detail

### EClassESuperTypesEditPart.SolidLineWDstClosedArrow

    public EClassESuperTypesEditPart.SolidLineWDstClosedArrow()

Copyright 2007 Anyware Technologies. All Rights Reserved.